From 338e39bab1b474ecfaeb2360cc892143bfabc0cb Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Feb 17 2023 20:29:51 +0000
Subject: [PATCH 6/33] [qt5-webkit][pyqt5][qutebrowser]: rebuild against latest qt5-base (i686)


---

diff --git a/libre/pyqt5/PKGBUILD b/libre/pyqt5/PKGBUILD
index a4da1c2..0bfb24b 100644
--- a/libre/pyqt5/PKGBUILD
+++ b/libre/pyqt5/PKGBUILD
@@ -7,7 +7,7 @@
 
 
 # parabola changes and rationale:
-#   - restore support for qt5-webkit dependents
+#   - restore support for 'qt5-webkit' dependents
 #   - pin to strongly-coupled dependency versions
 
 
@@ -19,7 +19,7 @@ pkgname=('python-pyqt5')
 pkgdesc="A set of Python bindings for the Qt5 toolkit"
 pkgver=5.15.7
 pkgrel=3
-pkgrel+=.parabola2
+pkgrel+=.parabola3
 arch=('x86_64')
 arch+=('armv7h' 'i686')
 url="https://riverbankcomputing.com/software/pyqt/intro"
@@ -95,9 +95,6 @@ build() {
 }
 
 package_python-pyqt5(){
-  [[ "${CARCH}" == i686 ]]                          &&
-  depends+=( $(_version_constraint python   2)    \
-             'qt5-base>=5.15.7' 'qt5-base<5.15.8' ) ||
   depends+=( $(_version_constraint python   2) \
              $(_version_constraint qt5-base  ) )
 
diff --git a/libre/qt5-webkit/PKGBUILD b/libre/qt5-webkit/PKGBUILD
index b6253dd..c0eaa0a 100644
--- a/libre/qt5-webkit/PKGBUILD
+++ b/libre/qt5-webkit/PKGBUILD
@@ -16,7 +16,7 @@ pkgname=qt5-webkit
 _pkgver=5.212.0-alpha4
 pkgver=${_pkgver/-/}
 pkgrel=18
-pkgrel+=.parabola2
+pkgrel+=.parabola3
 arch=(x86_64)
 arch+=(armv7h i686)
 url='https://github.com/qtwebkit/qtwebkit'
@@ -83,8 +83,6 @@ build() {
 }
 
 package() {
-  [[ "${CARCH}" == i686 ]]                          &&
-  depends+=( 'qt5-base>=5.15.7' 'qt5-base<5.15.8' ) ||
   depends+=( $(_version_constraint qt5-base) )
 
   DESTDIR="$pkgdir" cmake --install build
diff --git a/libre/qutebrowser/PKGBUILD b/libre/qutebrowser/PKGBUILD
index 9dd98aa..392b061 100644
--- a/libre/qutebrowser/PKGBUILD
+++ b/libre/qutebrowser/PKGBUILD
@@ -8,7 +8,7 @@
 
 
 # parabola changes and rationale:
-#   - removed qt5-webengine dependency
+#   - removed 'qt5-webengine' dependency
 #   - set webkit backend as default
 #   - condensed the excessive webkit rant on the welcome screen
 #   - pin to strongly-coupled dependency versions
@@ -21,7 +21,7 @@
 pkgname=qutebrowser
 pkgver=2.5.2
 pkgrel=2
-pkgrel+=.parabola1
+pkgrel+=.parabola2
 pkgdesc="A keyboard-driven, vim-like browser based on PyQt5"
 pkgdesc+=" and QtWebKit"
 arch=('armv7h' 'i686' 'x86_64') # per arch version constraints
@@ -99,10 +99,6 @@ package() {
     cd "$pkgname-$pkgver"
     make -f misc/Makefile DESTDIR="$pkgdir" PREFIX=/usr install
 
-    [[ "${CARCH}" == i686 ]]                           &&
-    depends+=( $(_version_constraint python       2) \
-               $(_version_constraint python-pyqt5  ) \
-               'qt5-base>=5.15.7' 'qt5-base<5.15.8'  ) ||
     depends+=( $(_version_constraint python       2) \
                $(_version_constraint python-pyqt5  ) \
                $(_version_constraint qt5-base      ) )

